fluent-plugin-tkgi-metadata-parser 1.0.1 → 1.2.0

This diff has not been reviewed by any users.
Sign up to get free protection for your applications and to get access to all the features.
checksums.yaml CHANGED
@@ -1,7 +1,7 @@
1
1
  ---
2
2
  SHA256:
3
- metadata.gz: 4e664538aada392e7de09f4dc2b9765eac852066b4b6b5b987f8259753592cff
4
- data.tar.gz: 191b486c973a9bcbcf578e5f8ce9f2cdb2acdc45c0174c4cacf5d935b5a463ff
3
+ metadata.gz: aed00ae7dcf280c0f76f2722134bb71841389a5951f6b2a862728042d45f01f6
4
+ data.tar.gz: e4be1add8b716b7d829e276303b44c59b1a4482c54d2bc6ed73ad3eae040cfff
5
5
  SHA512:
6
- metadata.gz: 06c2484b2d244a1859ea62684c8525e6925c91ad6791e4475d46b2e5710a8c59dd8d0b95c05594b299d01bbf7cbf05a0465ca3b9ee44165249c2e716da2d9a29
7
- data.tar.gz: dc46f4049c3519acd508ad933e0e4080284bd563495c32e78ab1ac699cd4e383cbe2a6cd70e09e3bfbf62bec1e0a8feb395f09cb749e9a46c41b1f09a7a6e824
6
+ metadata.gz: 2c347e0afd58cf0cd737a46d42987ded81bf4e900784654d7847bc524e5adfe933dd0f337d8f746fb5904820abab1591a1749fce2b0c54c71d8965bd4506989e
7
+ data.tar.gz: 189d03b422597e93a15ef29b37f4d01037e8b13c2ab73f5a7fc31e8b0f34099dd256f6f400b6427c7f4748da7e296508524a0f7189e1fdbee1342773674a336d
@@ -1,7 +1,7 @@
1
1
  $:.push File.expand_path('../lib', __FILE__)
2
2
  Gem::Specification.new do |spec|
3
3
  spec.name = 'fluent-plugin-tkgi-metadata-parser'
4
- spec.version = '1.0.1'
4
+ spec.version = '1.2.0'
5
5
  spec.authors = ['Saurabh Kulkarni']
6
6
  spec.email = ['saurabh.kl@outlook.com']
7
7
  spec.summary = 'Fluentd parser plugin to parse TKGI metadata'
@@ -40,10 +40,14 @@ module Fluent::Plugin
40
40
  end
41
41
 
42
42
  def parse(text)
43
+
43
44
  # Delete first and last square bracket
44
45
  text.delete_prefix!("[")
45
46
  text.delete_suffix!("]")
46
47
 
48
+ # Replace any whitespaces with `_` if exists inside the double quotes
49
+ text.gsub!(/\s+(?=(?:(?:[^"]*"){2})*[^"]*"[^"]*$)/,'_')
50
+
47
51
  # Delete any double quotes
48
52
  text.gsub!(/"/,'')
49
53
 
metadata CHANGED
@@ -1,14 +1,14 @@
1
1
  --- !ruby/object:Gem::Specification
2
2
  name: fluent-plugin-tkgi-metadata-parser
3
3
  version: !ruby/object:Gem::Version
4
- version: 1.0.1
4
+ version: 1.2.0
5
5
  platform: ruby
6
6
  authors:
7
7
  - Saurabh Kulkarni
8
8
  autorequire:
9
9
  bindir: bin
10
10
  cert_chain: []
11
- date: 2021-01-03 00:00:00.000000000 Z
11
+ date: 2021-01-13 00:00:00.000000000 Z
12
12
  dependencies: []
13
13
  description:
14
14
  email: